nvmlFieldValue_t(3)

NAME
nvmlFieldValue_t -

SYNOPSIS

#include <nvml.h>

  Data Fields

unsigned int fieldId
ID of the NVML field to retrieve. This must be set before any call that uses this struct. See the constants starting with NVML_FI_ above.
unsigned int scopeId
Scope ID can represent data used by NVML depending on fieldId's context. For example, for NVLink throughput counter data, scopeId can represent linkId.
long long timestamp
CPU Timestamp of this value in microseconds since 1970.
long long latencyUsec
How long this field value took to update (in usec) within NVML. This may be averaged across several fields that are serviced by the same driver call.
nvmlValueType_t valueType
Type of the value stored in value.
nvmlReturn_t nvmlReturn
Return code for retrieving this value. This must be checked before looking at value, as value is undefined if nvmlReturn != NVML_SUCCESS.
nvmlValue_t value
Value for this field. This is only valid if nvmlReturn == NVML_SUCCESS.

Detailed Description

Information for a Field Value Sample

Author

Generated automatically by Doxygen for NVML from the source code.